QPreface (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.extensions.quantel

## Interface QPreface

- All Superinterfaces:
    InterchangeObject, MediaEntity, MetadataObject, Preface
  All Known Implementing Classes:
    PrefaceImpl

      public interface QPreface
      extends Preface

- - ### Field Summary

    - ### Fields inherited from interface tv.amwa.maj.model.Preface

      `OBJECTMODELVERSION_DEFAULT`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getArchiveDatabaseType()`
    `void` | `setArchiveDatabaseType(Integer archiveDatabaseType)`

    - ### Methods inherited from interface tv.amwa.maj.model.Preface

      `addApplicationScheme, addDescriptiveScheme, addEssenceContainer, addEssenceData, addPackage, appendIdentification, clearApplicationSchemes, clearDescriptiveSchemes, clearEssenceContainers, clone, countApplicationSchemes, countDescriptiveSchemes, countEssenceContainers, countEssenceData, countIdentifications, countPackages, enumEssenceData, getApplicationSchemes, getByteOrder, getContentStorageObject, getDescriptiveSchemes, getDictionaries, getEssenceContainers, getEssenceData, getEssenceData, getFileLastModified, getFormatVersion, getIdentificationAt, getIdentifications, getLastIdentification, getMajApiVersion, getObjectModelVersion, getOperationalPattern, getPackages, getPackages, getPrimaryPackage, isApplicationSchemePresent, isDescriptiveSchemePresent, isEssenceContainerPresent, isEssenceDataPresent, lookupEssenceData, lookupIdentification, lookupPackage, removeApplicationScheme, removeDescriptiveScheme, removeEssenceData, removePackage, setFileLastModified, setOperationalPattern, setPrimaryPackage, updateDictionaries, updateEssenceContainers`

    - ### Methods inherited from interface tv.amwa.maj.model.InterchangeObject

      `addApplicationPlugin, clearApplicationPlugins, containsApplicationPlugin, containsApplicationPlugin, countApplicationPlugins, deepEquals, disableGenerationTracking, enableGenerationTracking, equals, getApplicationPlugins, getGeneration, getLinkedGenerationID, getObjectClass, isGenerationTracked, removeApplicationPlugin, removeApplicationPlugin, setLinkedGenerationID, setObjectClass, toString`

    - ### Methods inherited from interface tv.amwa.maj.industry.MediaEntity

      `getPersistentID, setPersistentIndex`

- - ### Method Detail

    - #### getArchiveDatabaseType

          @Int32
          int getArchiveDatabaseType()
                                     throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setArchiveDatabaseType

          void setArchiveDatabaseType(@Int32
                                      Integer archiveDatabaseType)

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.